Bug 17375 - glibc-2.1.3-21 breaks g++
glibc-2.1.3-21 breaks g++
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
6.2
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-09 02:24 EDT by Michael Lipp
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-14 20:39:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Environment setting (1.54 KB, text/plain)
2000-09-09 02:31 EDT, Michael Lipp
no flags Details

  None (edit)
Description Michael Lipp 2000-09-09 02:24:02 EDT
Trying to compile qt-2.0.0 (released) I got "an internal compiler error"
from g++,
When I switched back to glibc-2.1.3-19 everything worked fine.
Comment 1 Michael Lipp 2000-09-09 02:31:03 EDT
Created attachment 3358 [details]
Environment setting
Comment 2 Michael Lipp 2000-09-10 07:30:27 EDT
I just noticed that the latest glibc breaks egcs-c++ as this is what ships with
RedHat 6.2.

Furthermore, after the initial compilation error that depends on the glibc
version,
compilation fails in a later file with egcs-c++ anyway. And I had to upgrade to
gcc-2.96 to compile qt-2.2.0. So unless the new glibc breaks egcs-c++ with
simpler tasks,
there is nothing wrong in shipping it.

Note You need to log in before you can comment on or make changes to this bug.